Skip to content
Docs

Portfolio Manager/Organization Owned History

Download ownership history

GET/external/secure/api/v2/portfolio/organization/download/owned/reports/history
Request
curl -X GET \
  "https://figure.com/external/secure/api/v2/portfolio/organization/download/owned/reports/history" \
  -H "apikey: $FIGURE_API_KEY"

Query parameters

  • assetTypeIdstring<uuid>

    ID of asset type to query. Required if assetGroupId is not provided.

  • assetGroupIdstring<uuid>

    ID of asset group to filter with. Required if assetTypeId is not provided.

  • reportDatestring<date>

    Inclusive trade-date cutoff. Format yyyy-mm-dd

  • entityIdstring<uuid>

    ID of entity within the organization to limit history to

Headers

  • apikeystring

    Provided key used to access the application's api

Responses

200CSV of loan-level ownership history for one or all entities in the organization

Returns the file as text/plain.

Response

Returns the file itself (text/plain).